import sys
from PySide.QtGui import QApplication,QImage,QLabel,QPixmap
import numpy as np 
import cv2
a = QApplication(sys.argv)
lbl=QLabel() 
cvImg=np.zeros((900,900),dtype=np.uint8)
cv2.circle(cvImg,(450,450),100,255,-1)
height, width= cvImg.shape

bytearr=cvImg.data
qImg = QImage(bytearr, width, height, QImage.Format_Indexed8)
lbl.setPixmap(QPixmap.fromImage(qImg))
lbl.show()

sys.exit(a.exec_())